#######################################################################
# (C) School of Software Engineering of USTC. 2009.                   #
# ------------------------------------------                          #
# $Id: make.h,v 1.0.0 2009/07/30 Mengning  $						  #
# DESCRIPTION            : Specifies the options and modules to be 	  #
#                          including for building the App Environment.# 
#######################################################################
.SILENT:

##############################################################
# Set the BASEDIR as the directory where you untar the files #
##############################################################


BASE_DIR                     = $(shell pwd)
TARGET_OS                    = OS_PTHREADS

##########################
# Directories. 			 #
##########################


# Common header files/include directories and dependencies


INCLUDE_DIR			 = ${BASE_DIR}/src
SRC_DIR				 = ${BASE_DIR}/src


COMMON_INCLUDE_DIRS  =                              \
                               -I$(INCLUDE_DIR)     \
                               -I$(SRC_DIR)     	     


ifeq (${TARGET_OS}, OS_TMO)
CC_DEBUG_FLAGS               = -g
CC_OPTIMIZATION_FLAGS        = -O2
CC_WARNING_FLAGS             = -ansi                         \
							   -Wall                         \
                               -Wunused                      \
                               -Wmissing-declarations        \
                               -Wimplicit                    \
                               -Wswitch                      \
                               -Wcast-qual                   \
                               -Wcast-align                  \
                               -Waggregate-return            \
                               -Wnested-externs              \
                               -Wmissing-prototypes          \
                               -fno-common                   \
                               -W

CC_FLAGS                     = -c ${CC_DEBUG_FLAGS}          \
                                  ${CC_OPTIMIZATION_FLAGS}   \
                                  ${CC_WARNING_FLAGS}

CC                           = echo $(notdir $<); gcc
LD                           = ld
LD_FLAGS                     = -r
AR                           = ar
AR_FLAGS                     = -rsv
MKDIR                        = mkdir
MKDIR_FLAGS                  = -p
RM                           = rm
RM_FLAGS                     = -f
GENERAL_COMPILATION_SWITCHES = -DINCLUDE_IN_OSS              \
                               -DGNU_CC                      \
                               -DPACK_REQUIRED               \
                               -DOS=1 -DTMO=1
endif

ifeq (${TARGET_OS}, OS_PTHREADS)
CC_DEBUG_FLAGS               = -g
CC_OPTIMIZATION_FLAGS         = -O2
CC_WARNING_FLAGS             = -ansi                         \
                               -Wall                         \
                               -Wunused                      \
                               -Wmissing-declarations        \
                               -Wimplicit                    \
                               -Wswitch                      \
                               -Wcast-qual                   \
                               -Wcast-align                  \
                               -Wshadow                      \
                               -Waggregate-return            \
                               -Wnested-externs              \
                               -Wmissing-prototypes          \
                               -fno-common                   \
                               -W

CC_FLAGS                     = -c ${CC_DEBUG_FLAGS}          \
                                  ${CC_OPTIMIZATION_FLAGS}   \
                                  ${CC_WARNING_FLAGS}

CC                           = echo $(notdir $<); gcc
LD                           = ld
LD_FLAGS                     = -r
AR                           = ar
AR_FLAGS                     = -r
MKDIR                        = mkdir
MKDIR_FLAGS                  = -p
RM                           = rm
RM_FLAGS                     = -f
GENERAL_COMPILATION_SWITCHES = -DINCLUDE_IN_OSS              \
                               -DGNU_CC                      \
                               -DPACK_REQUIRED               \
                               -DOS=1
endif

ifeq (${TARGET_OS}, OS_VXWORKS)
CC_DEBUG_FLAGS               = -g
CC_OPTIMIZATION_FLAGS        = -O
CC_WARNING_FLAGS             = -ansi

CC                           = ccppc
CC_FLAGS                     = -c ${CC_DEBUG_FLAGS}          \
                                  ${CC_OPTIMIZATION_FLAGS}   \
                                  ${CC_WARNING_FLAGS}        \
                                  ${CFLAGS}

LD                           = ldppc
LD_FLAGS                     = -r
AR                           = arppc
AR_FLAGS                     = -r
MKDIR                        = mkdir
MKDIR_FLAGS                  = -p
RM                           = rm
RM_FLAGS                     = -f
GENERAL_COMPILATION_SWITCHES = -DINCLUDE_IN_OSS              \
                               -UGNU_CC                      \
                               -UPACK_REQUIRED               \
                               -DOS=1 -DTMO=1 -DCPU=PPC603 -DCPU_FAMILY=PPC
endif


ifeq (${TARGET_OS}, OS_RTLINUX)

CC_DEBUG_FLAGS               = -g
CC_OPTIMIZATION_FLAGS         = -O2
CC_WARNING_FLAGS             = -ansi                         \
                               -fno-strict-aliasing          \
                               -Wall                         \
                               -Wunused                      \
                               -Wmissing-declarations        \
                               -Wimplicit                    \
                               -Wswitch                      \
                               -Wcast-qual                   \
                               -Wcast-align                  \
                               -Wshadow                      \
                               -Waggregate-return            \
                               -Wnested-externs              \
                               -Wmissing-prototypes          \
                               -fno-common                   \
                               -W

CC_FLAGS                     = -c ${CC_DEBUG_FLAGS}          \
                                  ${CC_OPTIMIZATION_FLAGS}   \
                                  ${CC_WARNING_FLAGS}

CC                           = echo $(notdir $<); ${BUILDS_COMPILER_PATH}/${CROSS_COMPILE}gcc
CC_FLAGS                     += ${CFLAGS}
AS                           = echo $(notdir $<); ${BUILDS_COMPILER_PATH}/${CROSS_COMPILE}as
AR                           = echo $(notdir $<); ${BUILDS_COMPILER_PATH}/${CROSS_COMPILE}ar
AR_FLAGS                     = -r
LD                           = ${BUILDS_COMPILER_PATH}/${CROSS_COMPILE}ld
LD_FLAGS                     = -r
MKDIR                        = mkdir
MKDIR_FLAGS                  = -p
RM                           = rm
RM_FLAGS                     = -f 
GENERAL_COMPILATION_SWITCHES = -DINCLUDE_IN_OSS              \
                               -UGNU_CC                      \
                               -UPACK_REQUIRED               \
                               -DOS=1 -UTMO
endif



# end of section for compilation flags

